#ifndef __TEXTVIEW_H__
#define __TEXTVIEW_H__

#include <glib.h>
#include <gtk/gtkwidget.h>

typedef struct _TextView	TextView;

#include "messageview.h"

struct _TextView
{
	GtkWidget *scrolledwin;
	GtkWidget *text;

	MessageView *messageview;
};

TextView *textview_create(void);
void textview_init(TextView *textview);
void textview_show_message(TextView *textview, const gchar *file);
void textview_quote_color_set(void);
void textview_set_font(void);

#endif /* __TEXTVIEW_H__ */
